{% load static %}

<!DOCTYPE html>
<head>
    <meta charset="UTF-8">
        <title>Home page</title>

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    
        <!-- Bootstrap js -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

</head>

<body>

<!-- Create a bootstrap header  -->
<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container">
    <a class="navbar-brand" href="/help"> <font color="#8b0000">HELP Page</font> </a>    

      <ul class="nav navbar-nav navbar-right">

          {% if user.is_authenticated %}
            <!-- User is loged  -->
              <div class="navbar-brand" >Welcome  {{ user.get_username }}.</div>
              <li class="list-group-item" ><a href="logout">LOGOUT</a></li>
        
          {% else %}
            <!-- Visitor, user is not loged  -->
          <div class="navbar-brand" > Welcome   new user.</div>
          <li class="list-group-item"><a href="/login/">LOGIN </a></li>
          <li class="list-group-item" ><a href="/register/">REGISTER</a></li>
          
          {% endif %}

      </ul>
  </div>
</nav>

<!-- Use a bootstrap class to center the text, fill the background and use a specific police-->
<div class="jumbotron text-center">
    <h1>Microscopy Quiz Test </h1>
  
    <!-- Load a random image from the database   -->    
    {% for oneimage in images %}
        {% if  rand_img  == oneimage.id %}
            <center><img src="{% static  oneimage.image  %}" alt="{{ oneimage.image }}"  width="400" height="400"></center>
    {% endif %}
{% endfor %}


<div class="container">
    <p>Chose your quiz</p>

    <!-- Link to quiz  -->
    <a href="/quiz/microscopy"><button type="button" class="btn btn-primary btn-lg">Microcopy</button></a>
    <a href="/quiz/component"><button type="button" class="btn btn-info btn-lg">Component</button>  </a>

</div>
    <br><br>

    <!-- Link to the explore page  -->
    <a href="/explore"><button type="button" class="btn btn-default btn-lg">Explore page</button>  </a>


</div>

</body>
</html>